-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: Common/src/tedw_app/amx/fixpack2/mart/ddl/amx_mart_schema.sql, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0503
-- #   Revision: 1.4
-- #   Date: 12/17/03 16:14:27
-- ############################################################################

--#iftag fixpack_1
-- do nothing...
--#endtag fixpack_1

--#iftag fixpack_21
-- do nothing...
--#endtag fixpack_21

--#iftag fixpack_400
-- do nothing...
--#endtag fixpack_400

--#iftag fixpack_500

-- This table is created so that the twh_app_deinstall.sh script will fail
-- right at the begining of the uninstall.
-- we do not want to use the TEDW install engine as he does not have yet 
-- a before script. We will force the customer to use the amx_app_deinstall.sh 
-- script that will check if dependent wep are installed and will prevent
-- the uninstall if it is the case. Once all the ITM Weps are uninstalled,
-- the amx_app_deinstall.sh will allow AMX to be uninstall and will drop all
-- the AMX tables included the one that have more than 33 characters in their
-- name.
-- Once TEDW 1.2 will be available, we should remove this table and use the 
-- before script in the new twh_app_deinstall.sh script 
-- The table name starts with multiple 'A' so that it will be the first one 
-- chosen to be dropped in the twh_app_deinstall.sh script

 CREATE TABLE AMX.AAAAAAAAA_UNINSTALL_FAIL_WITH_TWH_UNINSTALL_ENGINE (
 dummy integer
 );
--#endtag fixpack_500

--#iftag fixpack_600
-- do nothing...
--#endtag fixpack_600

--#iftag fixpack_660
-- do nothing...
--#endtag fixpack_660