delete from rpi.report where
report_name in ('NET_STATS','UNIX_CPU_STATS','WIN_CPU_STATS','WIN_CPU_STATS','BUSIEST_SYS','Memory Utilization', 'Paging File Utilization','Health of a backup server','Usage of a Domain Controller','Operating System: Memory Utilization','Operating System: Network Statistics','Operating System: Paging File Utilization','Operating System: UNIX CPU Statistics','Operating System: Usage of a Domain Controller','Operating System: Busiest Systems','Operating System: Windows CPU Statistics','Operating System: Health of a Backup Server')
;

delete from rpi.datamart
where
     datamart_name in ('AMY_SAMPLE1', 'AMY Memory Subsystem', 'AMY Windows Backup Server','AMY Windows Domain Controller') 
;

delete from rpi.relationship
  where source_id IN
  (
select s.iwhid
   from
     iwh.starschema s
   where
     ucase(s.name) like ucase('amy%')
   )
;

delete from rpi.relationship
  where target_id IN
  (
select s.iwhid
  from
    iwh.starschema s
  where
    ucase(s.name) like ucase('amy%')
)
;

delete from rpi.ssupdated
  where id IN
  (
select s.iwhid
   from
     iwh.starschema s,
     rpi.ssupdated r
   where
     s.iwhid=r.id and
     ucase(s.name) like ucase('amy%')
     )
;

delete from rpi.relationship
  where rel_type like 'SchemaTo%'
    and source_id NOT IN
    (
select distinct iwhid
     from iwh.starschema
     )
;

delete from rpi.relationship
  where rel_type like '%ToDatamart'
    and target_id NOT IN
    (
    select distinct datamart_id
     from rpi.datamart
     )
;
