############################################################################
#
#  Licensed Materials - Property of IBM
#  Product ID = 5724-C04
#
#  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with
#  IBM Corp.
#
#   File Information: Common/src/tedw_app/amx/fixpack2/misc/insert_attr_level4_same.pl, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0616
#   Revision: 1.2
#   Date: 1/28/03 21:46:28
############################################################################

$in=$ARGV [0];
$out=$ARGV [1];
$COMPTYPCD = $ARGV [2];
$COMPTYP_CD_SAME = $ARGV [3];
$COMPTYP_G2_PARENT_CD = $ARGV [4];
$ATTRTYPCD = $ARGV [5];
$COMP_CORR_VAL = $ARGV [6]; 
$COMP_PARENT_CORR_VAL = $ARGV [7]; 
$COMP_GRAND_PARENT_CORR_VAL = $ARGV [8]; 
$COMP_G2_PARENT_CORR_VAL = $ARGV [9]; 
$ATTR = $ARGV [10];
$TIME = $ARGV [11];
$FROM_TABLE2 =$ARGV [12]; 
$WHERE_CLAUSE2 =$ARGV [13]; 
$GROUPBY2 =$ARGV [14];
$PAC=$ARGV [15];



open(INDAT, $in) || die("could not open file $in");
open(OUTDAT, ">$out") || die("could not open file $out");
@raw_data=<INDAT>;
close(INDAT);
foreach $line (@raw_data)
{
  $line =~ s/__COMPTYPCD/$COMPTYPCD/g;
  $line =~ s/__COMPTYP_CD_SAME/$COMPTYP_CD_SAME/g;
  $line =~ s/__COMPTYP_G2_PARENT_CD/$COMPTYP_G2_PARENT_CD/g;
  $line =~ s/__ATTRTYPCD/$ATTRTYPCD/g;
  $line =~ s/__COMP_CORR_VAL/$COMP_CORR_VAL/g;
  $line =~ s/__COMP_PARENT_CORR_VAL/$COMP_PARENT_CORR_VAL/g;
  $line =~ s/__COMP_GRAND_PARENT_CORR_VAL/$COMP_GRAND_PARENT_CORR_VAL/g;
  $line =~ s/__COMP_G2_PARENT_CORR_VAL/$COMP_G2_PARENT_CORR_VAL/g;
  $line =~ s/__ATTR/$ATTR/g;
  $line =~ s/__TIME/$TIME/g;
  $line =~ s/__FROM_TABLE2/$FROM_TABLE2/g;
  $line =~ s/__WHERE_CLAUSE2/$WHERE_CLAUSE2/g;
  $line =~ s/__GROUPBY2/$GROUPBY2/g;
  $line =~ s/__PAC/$PAC/g;
  print OUTDAT $line;
}
close(OUTDAT);

