############################################################################
#
#  Licensed Materials - Property of IBM
#  Product ID = 5724-C04
#
#  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with
#  IBM Corp.
#
#   File Information: Common/src/tedw_app/amx/fixpack2/misc/insert_attr_level5.pl, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0616
#   Revision: 1.1
#   Date: 11/25/02 17:35:22
############################################################################

$in=$ARGV [0];
$out=$ARGV [1];
$COMPTYPCD = $ARGV [2];
$ATTRTYPCD = $ARGV [3];
$COMP_CORR_VAL = $ARGV [4]; 
$COMP_PARENT_CORR_VAL = $ARGV [5]; 
$COMP_GRAND_PARENT_CORR_VAL = $ARGV [6]; 
$COMP_G2_PARENT_CORR_VAL = $ARGV [7]; 
$COMP_G3_PARENT_CORR_VAL = $ARGV [8]; 
$ATTR = $ARGV [9];
$TIME = $ARGV [10];
$FROM_TABLE2 =$ARGV [11]; 
$WHERE_CLAUSE2 =$ARGV [12]; 
$GROUPBY2 =$ARGV [13]; 
$PAC=$ARGV [14];



open(INDAT, $in) || die("could not open file $in");
open(OUTDAT, ">$out") || die("could not open file $out");
@raw_data=<INDAT>;
close(INDAT);
foreach $line (@raw_data)
{
  $line =~ s/__COMPTYPCD/$COMPTYPCD/g;
  $line =~ s/__ATTRTYPCD/$ATTRTYPCD/g;
  $line =~ s/__COMP_CORR_VAL/$COMP_CORR_VAL/g;
  $line =~ s/__COMP_PARENT_CORR_VAL/$COMP_PARENT_CORR_VAL/g;
  $line =~ s/__COMP_GRAND_PARENT_CORR_VAL/$COMP_GRAND_PARENT_CORR_VAL/g;
  $line =~ s/__COMP_G2_PARENT_CORR_VAL/$COMP_G2_PARENT_CORR_VAL/g;
  $line =~ s/__COMP_G3_PARENT_CORR_VAL/$COMP_G3_PARENT_CORR_VAL/g;
  $line =~ s/__ATTR/$ATTR/g;
  $line =~ s/__TIME/$TIME/g;
  $line =~ s/__FROM_TABLE2/$FROM_TABLE2/g;
  $line =~ s/__WHERE_CLAUSE2/$WHERE_CLAUSE2/g;
  $line =~ s/__GROUPBY2/$GROUPBY2/g;
  $line =~ s/__PAC/$PAC/g;
  print OUTDAT $line;
}
close(OUTDAT);

