############################################################################
#
#  Licensed Materials - Property of IBM
#  Product ID = 5724-C04
#
#  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with
#  IBM Corp.
#
#   File Information: Common/src/tedw_app/amx/fixpack2/misc/insert_comp_level4.pl, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0616
#   Revision: 1.2
#   Date: 12/1/03 11:56:23
############################################################################

$in=$ARGV [0];
$out=$ARGV [1];
$COMPTYPCD = $ARGV [2];
$COMP_CORR_VAL =$ARGV [3];
$COMP_PARENT_CORR_VAL =$ARGV [4];
$COMP_GRAND_PARENT_CORR_VAL =$ARGV [5];
$COMP_G2_PARENT_CORR_VAL =$ARGV [6];
$COMP_NM =$ARGV [7];
$FROM_TABLE =$ARGV [8];
$WHERE_CLAUSE =$ARGV [9];
$GROUPBY =$ARGV [10];
$COMPTYP_PARENT_CD = $ARGV [11];
$COMPTYP_GRAND_PARENT_CD = $ARGV [12];
$COMPTYP_G2_PARENT_CD = $ARGV [13];
$PAC = $ARGV [14];
$KEY_P1 = $ARGV [15];




open(INDAT, $in) || die("could not open file $in");
open(OUTDAT, ">$out") || die("could not open file $out");
@raw_data=<INDAT>;
close(INDAT);
foreach $line (@raw_data)
{
  $line =~ s/__COMPTYPCD/$COMPTYPCD/g;
  $line =~ s/__COMP_CORR_VAL/$COMP_CORR_VAL/g;
  $line =~ s/__COMP_PARENT_CORR_VAL/$COMP_PARENT_CORR_VAL/g;
  $line =~ s/__COMP_GRAND_PARENT_CORR_VAL/$COMP_GRAND_PARENT_CORR_VAL/g;
  $line =~ s/__COMP_G2_PARENT_CORR_VAL/$COMP_G2_PARENT_CORR_VAL/g;
  $line =~ s/__COMP_NM/$COMP_NM/g;
  $line =~ s/__FROM_TABLE/$FROM_TABLE/g;
  $line =~ s/__WHERE_CLAUSE/$WHERE_CLAUSE/g;
  $line =~ s/__GROUPBY/$GROUPBY/g;
  $line =~ s/__COMPTYP_PARENT_CD/$COMPTYP_PARENT_CD/g;
  $line =~ s/__COMPTYP_GRAND_PARENT_CD/$COMPTYP_GRAND_PARENT_CD/g;
  $line =~ s/__COMPTYP_G2_PARENT_CD/$COMPTYP_G2_PARENT_CD/g;
  $line =~ s/__PAC/$PAC/g;
  $line =~ s/__KEY_P1/$KEY_P1/g;
  print OUTDAT $line;
}
close(OUTDAT);

