-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-C04
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: Common/src/tedw_app/amx/fixpack2/misc/update_primary_key.sql, tmnt_etl, tmnt_5.1.1_FP06, 512ITMFP01_0616
-- #   Revision: 1.1
-- #   Date: 2/5/04 21:34:01
-- ############################################################################
--------------------------------------------------------------------------
-- AMX.RESOURCE_TRANSL
-- A new primary key has been created because some resource may
-- have the same component type name and belong to 2 different PAC
-- so they will have 2 different resource names.
-- This can happen when we have common component type such as J2EE_SERVER
-- for instance
---------------------------------------------------------------------------

--#IGNORE_ERROR
ALTER TABLE AMX.Resource_Transl drop primary key;

--#IGNORE_ERROR
ALTER TABLE AMX.Resource_Transl add primary key (resource, msrc_cd);
