-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5724-C01
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: src/TEDW/tedw_apps_etl/gwl/pkg/v110/misc/tools/AMY_reset_extract_window.sql, BEA_PAC, wls_dev
-- #   Revision: 1.2
-- #   Date: 10/31/02 10:42:44
-- ############################################################################


-- Reset the Extract_control window for  AMY
-- WARNING !!: This should only be used to restart from scratch the Extract Control
-- window for the AMY_m05_ETL2_Process
-- If you want to reset the window to the last extract, use the extract_log to get the 
-- last values of each AMY extracts

update TWG.Extract_Control set extctl_to_intseq=-1 where extctl_target like 'AMY%';
update TWG.Extract_Control set extctl_from_intseq=-1 where extctl_target like 'AMY%';
